ImaPropertyID (Eclipse Amlen Javadoc Reference)

Package com.ibm.ima.plugin

## Class ImaPropertyID

- Object
- - com.ibm.ima.plugin.ImaPropertyID

-     public class ImaPropertyID
      extends Object

  A property ID defines identifiers for header fields that are larger than one byte.

  A message consists of a small number of header fields, a set of properties, and a body. Only items which are small (up to a byte) are kept in the header as this is common to all messages. Larger header fields are kept as system properties.

  User properties have names, but system properties are identified by number. When a message is delivered to a client these system properties are commonly presented as protocol unique header or identifier fields and not as user properties. These system properties can also be used to hold information known only to a single protocol.

  System properties can be interchanged between protocols when the meaning is similar, but if the concepts do not match should be ignored when they come from another protocol. When receiving a message the plug-in should always check that the type and value of the property are acceptable to the receiving protocol. The receiving protocol must be tolerant that any of these properties are not set.

  The most common system property is ID_Topic. This is used to retain the topic name to which the message was published. This is important in cases where wildcard topic subscriptions are allowed. This is the only property used by the native MQTT protocol. The JMS native protocol uses the system topics Timestamp to DeliveryTime.

  An ID must be in the range 0 to 16777216. The values 0 to 255 are reserved for common use. To define private IDs, use values in the range 256 to 16777216.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `AppID` | The application identifier of the originator - String
    `static int` | `ClientID` | The client ID of the originator of the message - String
    `static String` | `COPYRIGHT` |
    `static int` | `CorrID` | The correlation ID - String
    `static int` | `DeliveryTime` | To time before which the message should not be delivered - long as milliseconds since 1970-01-01T00Z
    `static int` | `DeviceID` | The device identifier of the originator - String
    `static int` | `Domain` | The domain of the client ID.
    `static int` | `Expire` | The expiration timestamp of the message - long as milliseconds since 1970-01-01T00Z
    `static int` | `GroupID` | An identifier of the group of a message - String
    `static int` | `GroupSeq` | The sequence within a group - int
    `static int` | `JMSType` | The type string - String
    `static int` | `MsgID` | The message ID (commonly system generated) - String
    `static int` | `ObjectID` | An identifier of an object associated with the message
    `static int` | `Protocol` | The protocol which originated the message - String
    `static int` | `Queue` | The queue name (this is needed if the protocol allows wildcard queues) - String
    `static int` | `ReplyToQ` | The reply to queue - String destination name
    `static int` | `ReplyToT` | The reply to topic - String destination name
    `static int` | `Timestamp` | The creation timestamp of the message - long as milliseconds since 1970-01-01T00Z
    `static int` | `Token` | A security token authenticating this message
    `static int` | `Topic` | The topic name (this is needed if the protocol allows wildcard topics) - String
    `static int` | `UserID` | The user ID of the originator of the message - String

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ImaPropertyID()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COPYRIGHT

          public static final String COPYRIGHT

      See Also:
        Constant Field Values

    - #### Timestamp

          public static final int Timestamp

      The creation timestamp of the message - long as milliseconds since 1970-01-01T00Z
      See Also:
        Constant Field Values

    - #### Expire

          public static final int Expire

      The expiration timestamp of the message - long as milliseconds since 1970-01-01T00Z
      See Also:
        Constant Field Values

    - #### MsgID

          public static final int MsgID

      The message ID (commonly system generated) - String
      See Also:
        Constant Field Values

    - #### CorrID

          public static final int CorrID

      The correlation ID - String
      See Also:
        Constant Field Values

    - #### JMSType

          public static final int JMSType

      The type string - String
      See Also:
        Constant Field Values

    - #### ReplyToQ

          public static final int ReplyToQ

      The reply to queue - String destination name
      See Also:
        Constant Field Values

    - #### ReplyToT

          public static final int ReplyToT

      The reply to topic - String destination name
      See Also:
        Constant Field Values

    - #### Topic

          public static final int Topic

      The topic name (this is needed if the protocol allows wildcard topics) - String
      See Also:
        Constant Field Values

    - #### DeliveryTime

          public static final int DeliveryTime

      To time before which the message should not be delivered - long as milliseconds since 1970-01-01T00Z
      See Also:
        Constant Field Values

    - #### Queue

          public static final int Queue

      The queue name (this is needed if the protocol allows wildcard queues) - String
      See Also:
        Constant Field Values

    - #### UserID

          public static final int UserID

      The user ID of the originator of the message - String
      See Also:
        Constant Field Values

    - #### ClientID

          public static final int ClientID

      The client ID of the originator of the message - String
      See Also:
        Constant Field Values

    - #### Domain

          public static final int Domain

      The domain of the client ID. This is used to segment the topic space. - String
      See Also:
        Constant Field Values

    - #### Token

          public static final int Token

      A security token authenticating this message
      See Also:
        Constant Field Values

    - #### DeviceID

          public static final int DeviceID

      The device identifier of the originator - String
      See Also:
        Constant Field Values

    - #### AppID

          public static final int AppID

      The application identifier of the originator - String
      See Also:
        Constant Field Values

    - #### Protocol

          public static final int Protocol

      The protocol which originated the message - String
      See Also:
        Constant Field Values

    - #### ObjectID

          public static final int ObjectID

      An identifier of an object associated with the message
      See Also:
        Constant Field Values

    - #### GroupID

          public static final int GroupID

      An identifier of the group of a message - String
      See Also:
        Constant Field Values

    - #### GroupSeq

          public static final int GroupSeq

      The sequence within a group - int
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ImaPropertyID

          public ImaPropertyID()